Name: checkupdate
Version: 2.5
Release: 1%{?dist}
Summary: A tool to manage Fedora updates and integrate with Waybar
License: GPLv3+
URL: https://pagure.io/checkupdate
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel
Requires: python3
Requires: python3-psutil
Requires: rofi
Requires: PackageKit
Requires: libnotify

%description
checkupdate is a tool to manage Fedora updates and integrate with Waybar. It provides a menu to download, install, and list updates.

%prep
%setup -q

%build
# No build steps required for this Python script

%install
# Create the installation directories
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/checkupdate


# Install additional files (if any)
install -m 0644 check_for_updates.py %{buildroot}%{_datadir}/checkupdate/
install -m 0644 update_menu.py %{buildroot}%{_datadir}/checkupdate/

%files
%{_datadir}/checkupdate/check_for_updates.py
%{_datadir}/checkupdate/update_menu.py

%doc README.md
%license LICENSE

%changelog
* Thu Sep 12 2024 Junior_FOX <cjuniorfox@gmail.com> 2.5-1
- added -y to flatpak updates (cjuniorfox@gmail.com)

* Thu Aug 29 2024 Junior_FOX <cjuniorfox@gmail.com> 2.4-1
- added the update symbol (cjuniorfox@gmail.com)

* Wed Aug 14 2024 Junior <cjuniorfox@gmail.com> 2.3-1
- changed the author and removed empty line (cjuniorfox@gmail.com)
- bugfix: remove unantended message and fixed the flatpak update count
  (cjuniorfox@gmail.com)

* Wed Aug 14 2024 Junior <cjuniorfox@gmail.com> 2.2-1
- fix at the script when no updates available (cjuniorfox@gmail.com)

* Wed Aug 14 2024 Junior <cjuniorfox@gmail.com> 2.1-1
- LICENSE file (cjuniorfox@gmail.com)
- readded the spec file (cjuniorfox@gmail.com)
- removed the old scripts (cjuniorfox@gmail.com)
- gitignore for python (cjuniorfox@gmail.com)
- Updated the readme file (cjuniorfox@gmail.com)
- chore: creation of the new python scripts check_for_update.py and update_menu.py (cjuniorfox@gmail.com)

* Wed Aug 14 2024 Junior <cjuniorfox@gmail.com> - 2.0-1
- Initial package for version 2.0